import { notFound } from "next/navigation"
import { NextResponse } from "next/server"

import { env } from "@/env/server"

import { auth } from "@/auth"

export const GET = async () => {
  if (env.NODE_ENV !== "development") {
    return notFound()
  }

  const user = await auth()
  console.log("[DEBUG] access-token", user?.token)
  return NextResponse.json(user)
}
